# std::shuffle_order_engine<Engine,K>::max

From cppreference.com
< cpp‎ | numeric‎ | random‎ | shuffle order engine

static constexpr result_type max(); |  | (since C++11)

Returns the maximum value potentially generated by the engine adaptor. This value is equal to e.max() where `e` is the underlying engine.

### Parameters

(none)

### Return value

The maximum potentially generated value.

### Complexity

Constant

### See also

min [static] | gets the smallest possible value in the output range (public static member function)

Retrieved from "https://en.cppreference.com/mwiki/index.php?title=cpp/numeric/random/shuffle_order_engine/max&oldid=51022"